image: alpine

stages:
  - gulp
  - test
  - package
  - deploy

cache:
  paths:
  - node_modules/

gulp:
  stage: gulp
  image: node:latest
  before_script:
    - npm install
  script: node_modules/.bin/gulp compress
  artifacts:
    paths:
    - dist
    expire_in: 10 minutes

test:
  stage: test
  script: ls dist
  script: echo 'run tests here'

package:
  stage: package
  script: tar -czvf packaged.tar.gz dist
  artifacts:
    paths:
    - packaged.tar.gz

deploy_prod:
  stage: deploy
  script: echo 'deploy on master'
  only:
    - master

deploy_test:
  stage: deploy
  script: echo 'deploy on develop'
  only:
    - develop
